# Struct ethcore_rpc::v1::tests::helpers::TestSyncProvider [−] [src]

    pub struct TestSyncProvider {
        pub status: RwLock<SyncStatus>,
    }

Test sync provider.

## Fields

`status: RwLock<SyncStatus>`

Sync status.

## Methods

### `impl TestSyncProvider`
[src]

#### `fn new(config: Config) -> Self`

Creates new sync provider.

#### `fn increase_imported_block_number(&self, count: u64)`

Simulate importing blocks.

## Trait Implementations

### `impl SyncProvider for TestSyncProvider`
[src]

#### `fn status(&self) -> SyncStatus`

Get sync status

#### `fn peers(&self) -> Vec<PeerInfo>`

Get peers information

#### `fn enode(&self) -> Option<String>`

Get the enode if available.

#### `fn transactions_stats(&self) -> BTreeMap<H256, TransactionStats>`

Returns propagation count for pending transactions.

# Help

## Keyboard Shortcuts

?
  Show this help dialog
S
  Focus the search field
⇤
  Move up in search results
⇥
  Move down in search results
⏎
  Go to active search result
+
  Collapse/expand all sections

## Search Tricks

Prefix searches with a type followed by a colon (e.g. `fn:`) to restrict the search to a given type.

Accepted types are: `fn`, `mod`, `struct`, `enum`, `trait`, `type`, `macro`, and `const`.

Search functions by type signature (e.g. `vec -> usize` or `* -> vec`)